mt-daap / firefly crashes at start

Got problems with your B2 or B3? Share and get helped!
Post Reply
novis
Posts: 30
Joined: 12 Sep 2008, 09:36
Location: Suomi Finland

mt-daap / firefly crashes at start

Post by novis » 14 Jan 2009, 07:27

for some time mt-daap kept crashing.. which was just a small annoyance, since it could be easily restarted.. I put it down to bubba's mt-daap being a recent nightly build and maybe prone to such things.

Now it just crashes at start when I try to /etc/init.d/mt-daap start

Here's the sys.log I found.. some help here?

Code: Select all

Jan 14 14:10:03 lemmy mt-daapd[19101]: Config entry general/compress is deprecated. Please review the sample config
Jan 14 14:10:03 lemmy mt-daapd[19101]: Firefly Version svn-1696: Starting with debuglevel 2
Jan 14 14:10:03 lemmy mt-daapd[19101]: Error loading plugin /usr/lib/mt-daapd/plugins/ssc-script.so: plugin declined to load
Jan 14 14:10:03 lemmy mt-daapd[19101]: Plugin loaded: daap/svn-1696
Jan 14 14:10:03 lemmy mt-daapd[19101]: Plugin loaded: rsp/svn-1696
Jan 14 14:10:03 lemmy mt-daapd[19101]: Plugin loaded: ssc-ffmpeg/svn-1696
Jan 14 14:10:03 lemmy mt-daapd[19101]: Starting rendezvous daemon
Jan 14 14:10:03 lemmy mt-daapd[19102]: *** WARNING *** The programme 'mt-daapd' uses the HOWL compatiblity layer of Avahi.
Jan 14 14:10:03 lemmy mt-daapd[19102]: *** WARNING *** Please fix your application to use the native API of Avahi!
Jan 14 14:10:03 lemmy mt-daapd[19102]: *** WARNING *** For more information see <http://0pointer.de/avahi-compat?s=howl&e=mt-daapd>
Jan 14 14:10:03 lemmy mt-daapd[19101]: Starting signal handler
Jan 14 14:10:03 lemmy mt-daapd[19103]: db_sqlite3_open: Misc SQL Error: unable to open database file (/usr/var/cache/mt-daapd/songs3.db)
Jan 14 14:10:03 lemmy mt-daapd[19103]: Error opening db: Misc SQL Error: unable to open database file
Jan 14 14:10:04 lemmy mt-daapd[19102]: Rendezvous socket closed (daap server crashed?) Aborting.
thanks in advance! :)

Eek
Posts: 372
Joined: 23 Dec 2007, 03:03
Location: the Netherlands

Post by Eek » 14 Jan 2009, 07:57

does the file /usr/var/cache/mt-daapd/songs3.db exist ?
maybe wrong permissions?
started under a different user?

cheers
Eek

novis
Posts: 30
Joined: 12 Sep 2008, 09:36
Location: Suomi Finland

Post by novis » 14 Jan 2009, 08:45

ding ding, we have a winner..

"started under a different user?"

Thanks :)

Joachim
Posts: 13
Joined: 12 Jan 2009, 07:37

Post by Joachim » 14 Jan 2009, 13:38

Did you manage to change mt-daap? If so, I would love to hear how. =)

Thanks,
/Joachim

davidI
Posts: 49
Joined: 07 Oct 2008, 13:39

Post by davidI » 15 Jan 2009, 13:45

what do you mean by "change?"

if you mean use another version see my post about soundbridge and firefly.

novis
Posts: 30
Joined: 12 Sep 2008, 09:36
Location: Suomi Finland

Post by novis » 02 Feb 2009, 10:33

At some point, I had changed this 'runas' to my username. (for some reason). Changing it back helped alot :)

/etc/mt-daapd.conf

Code: Select all

#
# runas (required)
#
# This is the user to drop privs to if running as
# root.  If mt-daapd is not started as root, this
# configuration option is ignored.  Notice that this
# must be specified whether the server is running
# as root or not.
#
# This is also ignored on Windows.
#

runas = mt-daapd

beatgr
Posts: 34
Joined: 01 Feb 2009, 15:25

Post by beatgr » 05 Feb 2009, 18:58

My user.log contains this entry on a regular basis
Feb 4 22:51:55 bubba mt-daapd[3014]: *** WARNING *** The programme 'mt-daapd' uses the HOWL compatiblity layer of Avahi.
Feb 4 22:51:55 bubba mt-daapd[3014]: *** WARNING *** Please fix your application to use the native API of Avahi!
Feb 4 22:51:55 bubba mt-daapd[3014]: *** WARNING *** For more information see <http://0pointer.de/avahi-compat?s=howl&e=mt-daapd>

Post Reply